const blacklist = require('./blacklist');

const cleanParams = (flow) => {
    const cleanParams = [];
    for (param of flow.params) {
        let name = cleanName(param.name);
        let required = (param.required === 'yes');
        if (!isBlacklisted(name)) cleanParams.push({ name: param.name, required });
    }
    flow.params = cleanParams;
    return flow;
};

const isBlacklisted = (fieldName) => {
    return blacklist.includes(fieldName);
};

const cleanName = (fieldName) => {
    return fieldName.split('.')[0]
};

module.exports = { cleanParams, isBlacklisted, cleanName };
